[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TBucketList.Create

Create a new TBucketList instance.

## Declaration

Source position: contnrs.pp line 580

`public constructor TBucketList.Create(`
`ABuckets: TBucketListSizes = bl16`
`);`

## Arguments

`ABuckets` |  | Number of buckets to create

## Description

Create instantiates a new bucketlist instance with a number of buckets determined by ABuckets. After creation, the number of buckets can no longer be changed.

## Errors

If not enough memory is available to create the instance, an exception may be raised.

## See also

TBucketListSizes |  | Enumerated type to indicate bucket list size